Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.imports
Class IllegalImportCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.imports.IllegalImportCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class IllegalImportCheck
extends Check

Checks for imports from a set of illegal packages. By default, the check rejects all `sun.*` packages since programs that contain direct calls to the `sun.*` packages are not 100% Pure Java.

To reject other packages, set property illegalPkgs to a comma-separated list of the illegal packages.

An example of how to configure the check is:

     <module name="IllegalImport"/>

An example of how to configure the check so that it rejects packages `java.io.*` and `java.sql.*` is

     <module name="IllegalImport">
        <property name="illegalPkgs" value="java.io, java.sql"/>
     </module>

Version:
  1.0
Author:
  Oliver Burn, Lars Kühne

Constructor Summary
`IllegalImportCheck()` Creates a new `IllegalImportCheck` instance.

Method Summary
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `setIllegalPkgs(java.lang.String[] aFrom)` Set the list of illegal packages.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IllegalImportCheck

    public IllegalImportCheck()

  Creates a new `IllegalImportCheck` instance.

Method Detail

### setIllegalPkgs

    public void setIllegalPkgs(java.lang.String[] aFrom)

  Set the list of illegal packages.

  Parameters:
    `aFrom` - array of illegal packages

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD